Package Scientific :: Package Geometry :: Module Objects3D :: Class Sphere

[frames] | no frames]

# Class Sphere

    GeometricalObject3D --+
                          |
                         Sphere

Sphere

Instance Methods

__init__(self, center, radius) |

`float`

distanceFrom(self, point) |

`float` or `NoneType`

volume(self) Returns: the volume of the object. |

Inherited from `GeometricalObject3D`: `hasPoint`, `intersectWith`

Method Details

### __init__(self, center, radius)
(Constructor)

Parameters:
  - `center` (Scientific.Geometry.Vector) - the point that is the center of the sphere
  - `radius` (`float`) - the radius

### distanceFrom(self, point)

Parameters:
  - `point` - a point in space
Returns: `float`
Overrides: GeometricalObject3D.distanceFrom
  (inherited documentation)

### volume(self)

Returns: `float` or `NoneType`
  the volume of the object. The result is `None` for unbounded objects and zero for lower-dimensional objects.
Overrides: GeometricalObject3D.volume
  (inherited documentation)